Subject: Re: bug#63238: issue linking to librt

From: Brian Cully <[email-masked]>
Date: Fri, 26 May 2023 11:58:46 -0400

librt and libpthread were merged into libc with glibc 2.34, however, for
compatibility, there exist empty .a files to satisfy the linker. But
because Guix has a separate output for the static libraries, they need
to be explicitly installed from ‘glibc:static’, which allows Cargo to do
its thing.

Cargo itself should probably be fixed so that it no longer tries to link
with these libraries, but until that time, the above work-around suffices.